System.ServiceModel 4.0.0.0 System.Object System.Runtime.Serialization.DataContract

This class is abstract and cannot be instantiated directly.

An abstract class used as a base class for other formatters, such as .

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

  The to serialize.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Verifies whether the specified contains a valid service document.

  true, if the XML reader contains a valid service document, otherwise false.

  An XML reader to check.
- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationCategory `` To be added.

  Creates a new instance of the class.

  Returns a new instance.

  An instance used to create the new categories document.
- Method
  4.0.0.0
  System.ServiceModel.Syndication.ResourceCollectionInfo `` To be added.

  Creates a new instance.

  Returns a new instance.

  A instance used to create the new collection.
- Method
  4.0.0.0
  System.ServiceModel.Syndication.ServiceDocument To be added.

  Creates a new instance.

  Returns a new instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.InlineCategoriesDocument `` To be added.

  Creates a new .

  Returns a new instance.

  The to use to create the new .
- Method
  4.0.0.0
  System.ServiceModel.Syndication.ReferencedCategoriesDocument `` To be added.

  Creates a new .

  Returns a new .

  The instance to use to create the new .
- Method
  4.0.0.0
  System.ServiceModel.Syndication.Workspace `` To be added.

  Creates a new

  Returns a new .

  The to use to create the new workspace.
- Property
  4.0.0.0
  System.ServiceModel.Syndication.ServiceDocument To be added. To be added.

  Gets the associated with the formatter.

- Method
  4.0.0.0
  System.Void `` `` `` To be added.

  Loads element extensions.

  The to read from. The to use to read the element extensions. The maximum size of an element extension to be loaded.
- Method
  4.0.0.0
  System.Void `` `` `` To be added.

  Loads element extensions.

  The to read from. The to use to load the element extensions. The maximum size of an extension to load.
- Method
  4.0.0.0
  System.Void `` `` `` To be added.

  Loads element extensions.

  The to read from. The to use to read the element extensions. The maximum size of an extension to load.
- Method
  4.0.0.0
  System.Void `` `` `` To be added.

  Loads element extensions.

  The to read from. The to use to load the element extensions. The maximum size of an extension to load.
- Method
  4.0.0.0
  System.Void `` To be added.

  Reads a service document from the specified .

  The to read from.
- Method
  4.0.0.0
  System.Void `` To be added.

  Sets the to write.

  The to write.
- Method
  4.0.0.0
  System.Boolean `` `` `` `` `` To be added.

  Attempts to parse an attribute extension.

  Returns a that indicates whether the attribute extension was successfully parsed.

  The name of the element. The namespace of the element. The attribute to parse. The to use to parse the attribute extension. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` `` `` `` `` To be added.

  Attempts to parse an attribute extension.

  Returns a that indicates whether the attribute extension was parsed successfully.

  The name of the element. The namespace of the element. The attribute to parse. The to use to parse the attribute. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` `` `` `` `` To be added.

  Attempts to parse an attribute extensions.

  Returns a that indicates whether the attribute extension was parsed successfully.

  The name of the element. The namespace of the element. The attribute extension to parse. The to use to parse the attribute extension. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` `` `` `` `` To be added.

  Attempts to parse an attribute extension

  Returns a that indicates whether the attribute extension was parsed successfully.

  The name of the element. The namespace of the element. The attribute to parse. The to use to parse the attribute. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` `` `` To be added.

  Attempts to parse an element extension.

  Returns a that indicates whether the element extension was parsed successfully.

  The to read from. The to use to parse the element extension. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` `` `` To be added.

  Attempts to parse an element extension.

  Returns a that indicates whether the element extension was parsed successfully.

  The to read from. The to use to parse the element extension. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` `` `` To be added.

  Attempts to parse an element extension.

  Returns a that indicates whether the element extension was successfully parsed.

  The to read from. The to use to parse the element extension. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` `` `` To be added.

  Attempts to parse an element extension.

  Returns a that indicates whether the element extension was parsed successfully.

  The to read from. The to use to parse the element extension. The syndication version to use when parsing.
- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the version of the formatter.

- Method
  4.0.0.0
  System.Void `` `` `` To be added.

  Writes attribute extensions.

  The to write to. The to use to write the element extensions. The syndication version to use when writing.
- Method
  4.0.0.0
  System.Void `` `` `` To be added.

  Writes attribute extensions.

  The to write to. The to use to write the attribute extensions. The syndication version to use when writing the attribute extensions.
- Method
  4.0.0.0
  System.Void `` `` `` To be added.

  Writes attribute extensions.

  The to write to. The to use to write the attribute extensions. The syndication version to use when writing the attribute extensions.
- Method
  4.0.0.0
  System.Void `` `` `` To be added.

  Writes attribute extensions.

  The to write to. The to use to write the attribute extensions. The syndication version to use when writing the attribute extensions.
- Method
  4.0.0.0
  System.Void `` `` `` To be added.

  Writes element extensions.

  The to write to. The to use to write the element extensions. The syndication version to use when writing the element extensions.
- Method
  4.0.0.0
  System.Void `` `` `` To be added.

  Writes element extensions.

  The to write to. The to use to write the element extensions. The syndication version to use when writing the element extensions.
- Method
  4.0.0.0
  System.Void `` `` `` To be added.

  Writes element extensions.

  The to write to. The to use to write the element extensions. The syndication version to use when writing the element extensions.
- Method
  4.0.0.0
  System.Void `` `` `` To be added.

  Writes element extensions.

  The to write to. The to use to write the element extensions. The syndication version to use when writing the element extensions.
- Method
  4.0.0.0
  System.Void `` To be added.

  Writes a service document to the specified .

  The to write to.